Skip to main content
Available in🇮🇳 India
Explore Razorpay’s TPAP Pro - Customer Onboarding APIs, which facilitate the registration of devices and the management of payment sources, such as bank accounts, RuPay credit cards and credit lines, to enhance your UPI onboarding process. As part of this process, you need to create a unique identifier called a fingerprint using various device attributes.
Below are the steps to integrate TPAP Pro. You can also refer to our comprehensive TPAP Pro integration guide.
  1. Customer Onboarding
  2. Manage Funds and Account
  3. Payments
  4. Mandates
  5. Complaints
  6. UPI Numbers
  7. UPI Lite

Get a Mobile Number Verification Token

POST /v1/upi/tpap/mobile/verificationGets the verification token.

Bind the Device

POST /v1/upi/tpap/devices/bindBinds the device.

Get NPCI Token

POST /v1/upi/tpap/devices/tokenGets the NPCI token.

Fetch Banks

GET /v1/upi/tpap/fundsource_providers?skip=0&count=10&refresh=trueRetrieves the list of banks.

Fetch Payment Sources

GET /v1/upi/tpap/fundsources?refresh=true&linked=true&upi_iin=7078129&skip=0&count=10&device_ip=198.1.1.1&device_geocode=1234.1213Retrieves the list of payment sources.

Check VPA Availability

POST /v1/upi/tpap/vpa/availableChecks if the VPA is available.

Create VPA and Link to Payment Sources

POST /v1/upi/tpap/vpa/link?expand[]=fundsourcesCreates a VPA and links to a payment source.

Generate OTP

POST /v1/upi/tpap/fundsources/:id/otpGenerates an OTP.

Set or Reset UPI PIN

POST /v1/upi/tpap/fundsources/:id/upi_pin?expand[]=vpasSets or resets UPI PIN.